/* global jest, describe, it, expect*/

'use strict';

jest.dontMock('../utils/union-class-names');

var unionClassNames = require('../utils/union-class-names');

describe('unionClassNames', function () {
  it('should add a class to existing ones', function () {
    expect(unionClassNames('first button', 'last')).toBe('first button last');
  });

  it('should not add a class in case it is a duplicate', function () {
    expect(unionClassNames('first button', 'button')).toBe('first button');
  });

  it('should ignore undefined values', function () {
    expect(unionClassNames(undefined, undefined)).toBe('');
    expect(unionClassNames(undefined, 'button')).toBe('button');
    expect(unionClassNames('first', undefined)).toBe('first');
  });

  it('should work with names which contain the new class', function () {
    expect(unionClassNames('first button-first', 'button')).toBe('first button-first button');
  });
});